# \nre\coreResponse

Base class to represent a response.

## Summary

Methods
Properties
Constants
addParam()
addParams()
clearParams()
getParam()
getParams()
setOutput()
getOutput()
setExit()
getExit()
No public properties found
No constants found
No protected methods found
$params
N/A
No private methods found
$output
$exit
N/A

File
  core/Response.inc
Package
  Default
Class hierarchy
  \nre\core\Response

## Tags

author | coderkun olli@coderkun.de

## Properties

### $params

    $params : array

Applied parameters

#### Type

array

#

## Tags

None found

### $output

    $output : string

Generated output

#### Type

string

#

## Tags

None found

### $exit

    $exit : boolean

Abort futher execution

#### Type

boolean

#

## Tags

None found

## Methods

### addParam()

    addParam(mixed  $value)

Add a parameter.

#### Parameters

mixed | $value | Value of parameter

#

## Tags

None found

### addParams()

    addParams(mixed  $value1)

Add multiple parameters.

#### Parameters

mixed | $value1 | Value of first parameter

#

## Tags

None found

### clearParams()

    clearParams(integer  $offset)

Delete all stored parameters (from offset on).

#### Parameters

integer | $offset | Offset-index

#

## Tags

None found

### getParam()

    getParam(integer  $index, string  $defaultIndex = null) : string

Get a parameter.

#### Parameters

integer | $index | Index of parameter
string | $defaultIndex | Index of default configuration value for this parameter

#### Returns

string —

Value of parameter

#

## Tags

None found

### getParams()

    getParams(integer  $offset) : array

Get all parameters from index on.

#### Parameters

integer | $offset | Offset-index

#### Returns

array —

Parameter values

#

## Tags

None found

### setOutput()

    setOutput(string  $output)

Set output.

#### Parameters

string | $output | Generated output

#

## Tags

None found

### getOutput()

    getOutput() : string

Get generated output.

#### Returns

string —

Generated output

#

## Tags

None found

### setExit()

    setExit(boolean  $exit = true)

Set exit-state.

#### Parameters

boolean | $exit | Abort further execution

#

## Tags

None found

### getExit()

    getExit() : boolean

Get exit-state.

#### Returns

boolean —

Abort further execution

#

## Tags

None found

### Response.inc